/{organizationId}/{mandateId}/crm/contacts/segments/listList segments
Returns a list of contact segments for the given organization
Required permissions:
mandate.read
Path Parameters
organizationIdstringrequired mandateIdstringrequired Request Body required
Content-Type: application/json
limitintegeroptional Default: 50
minimum: 0
maximum: 1000
offsetintegeroptional Default: 0
minimum: 0
maximum: 9007199254740991
returnCountbooleanoptional Default: false
includeBuiltInSegmentsbooleanoptional Default: true
includeUserSegmentsbooleanoptional Default: false
searchTermstringoptional maxItems: 7
minItems: 1
maxItems: 1000
minItems: 1
maxItems: 1000
Authentication: X-API-Key
Request
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/contacts/segments/list' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"type": "member"
}'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
countintegerrequired minimum: 0
maximum: 9007199254740991
Response
{
"count": 0,
"segments": [
{
"_id": "000000000000000000000001",
"mandate": "000000000000000000000001",
"key": "string",
"type": "member",
"name": "string",
"hint": "string",
"sortOrder": 0,
"filter": {
"operator": "and",
"groups": [
{
"operator": "and",
"fields": [
{
"path": "string",
"comparator": "exists"
}
]
}
]
},
"userId": "string",
"sharedWith": {
"organization": "000000000000000000000001",
"organizationName": "string"
}
}
]
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}